cancel
Showing results for 
Search instead for 
Did you mean: 

About point on face

I have a planer face. I want any point on face which is on material of face.

currently I used odl.AskFaceData(.... function to get point, normal direction.

As shown in snapShot attached, This function gives point which is on non material side i.e in void space .

So is there other way to compute point on material of face?Please find attached face.png

4 REPLIES

Re: About point on face

Legend
Legend

You can use UF_Model_ask_face_edges and get start or end point of any of those edges.

Re: About point on face

Thanks for your quick reply.

But I want a point on material of face instead of point on edge of face.

Re: About point on face

Legend
Legend

Look at UF_MODL_ask_point_containment and UF_MODL_ask_uv_points_containment.

Re: About point on face

Creator
Creator

Do you want a random point or just how to get a point that will lie on the face?

 

If you want a point on a face you can do:

 

workPart.Points.CreatePoint(yourFace, u, v, NXOpen.SmartObject.UpdateOption.WithinModeling)